Bug 100418

Summary: Move SharedWorkerRepository functions out of DefaultSharedWorkerRepository
Product: WebKit Reporter: Alexey Proskuryakov <ap>
Component: WebCore Misc.Assignee: Alexey Proskuryakov <ap>
Status: RESOLVED FIXED    
Severity: Normal CC: andersca, gns, gyuyoung.kim, philn, rakuco, sam, webkit.review.bot, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
proposed patch
none
Updated to apply
webkit-ews: commit-queue-
with build fix
none
updated to ToT
sam: review+
patch for landing none

Description Alexey Proskuryakov 2012-10-25 14:48:54 PDT
...because that's a different class.
Comment 1 Alexey Proskuryakov 2012-10-25 14:53:58 PDT
Created attachment 170734 [details]
proposed patch
Comment 2 Alexey Proskuryakov 2012-10-25 15:40:00 PDT
Created attachment 170747 [details]
Updated to apply
Comment 3 Early Warning System Bot 2012-10-25 15:43:02 PDT
Comment on attachment 170747 [details]
Updated to apply

Attachment 170747 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/14563752
Comment 4 Early Warning System Bot 2012-10-25 15:45:23 PDT
Comment on attachment 170747 [details]
Updated to apply

Attachment 170747 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/14545777
Comment 5 Build Bot 2012-10-25 16:00:18 PDT
Comment on attachment 170747 [details]
Updated to apply

Attachment 170747 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/14543831
Comment 6 Alexey Proskuryakov 2012-10-25 16:03:43 PDT
Created attachment 170758 [details]
with build fix
Comment 7 WebKit Review Bot 2012-10-25 16:07:27 PDT
Attachment 170758 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/W..." exit_code: 1
Source/WebCore/workers/SharedWorkerRepository.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 8 Alexey Proskuryakov 2012-10-26 14:51:04 PDT
Ping reviewers.
Comment 9 Alexey Proskuryakov 2013-03-11 15:32:19 PDT
Created attachment 192577 [details]
updated to ToT

Updated to ToT.
Comment 10 WebKit Review Bot 2013-03-11 15:35:06 PDT
Attachment 192577 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/CMakeLists.txt', u'Source/WebCore/ChangeLog', u'Source/WebCore/GNUmakefile.list.am', u'Source/WebCore/Target.pri', u'Source/WebCore/WebCore.gyp/WebCore.gyp', u'Source/WebCore/WebCore.gypi', u'Source/WebCore/WebCore.vcproj/WebCore.vcproj', u'Source/WebCore/WebCore.xcodeproj/project.pbxproj', u'Source/WebCore/workers/DefaultSharedWorkerRepository.cpp', u'Source/WebCore/workers/SharedWorkerRepository.cpp']" exit_code: 1
Source/WebCore/workers/SharedWorkerRepository.cpp:34:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 10 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 11 Sam Weinig 2013-03-11 15:36:32 PDT
Comment on attachment 192577 [details]
updated to ToT

View in context: https://bugs.webkit.org/attachment.cgi?id=192577&action=review

> Source/WebCore/workers/SharedWorkerRepository.cpp:35
> +#include "DefaultSharedWorkerRepository.h"
> +#include "SharedWorker.h"
> +#include "MessagePortChannel.h"

SORTING
Comment 12 Alexey Proskuryakov 2013-03-11 17:28:52 PDT
Created attachment 192605 [details]
patch for landing
Comment 13 WebKit Review Bot 2013-03-11 19:26:29 PDT
Comment on attachment 192605 [details]
patch for landing

Clearing flags on attachment: 192605

Committed r145466: <http://trac.webkit.org/changeset/145466>
Comment 14 WebKit Review Bot 2013-03-11 19:26:34 PDT
All reviewed patches have been landed.  Closing bug.